Ignore:
Timestamp:
Sep 13, 2009 2:24:20 PM (11 years ago)
Author:
stefan
Message:

revert my recent changes related to BSPsplit after copying them into branches

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/trunk/configure

    r1388 r1411  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_METIS_TRUE COIN_HAS_METIS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE METISDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10841084  --with-tags[=TAGS]
    10851085                          include additional configurations [automatic]
     1086  --with-metis            specify flags to link with METIS library
    10861087
    10871088Some influential environment variables:
     
    47264727*-*-irix6*)
    47274728  # Find out which ABI we are using.
    4728   echo '#line 4728 "configure"' > conftest.$ac_ext
     4729  echo '#line 4729 "configure"' > conftest.$ac_ext
    47294730  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47304731  (eval $ac_compile) 2>&5
     
    63256326
    63266327# Provide some information about the compiler.
    6327 echo "$as_me:6327:" \
     6328echo "$as_me:6328:" \
    63286329     "checking for Fortran 77 compiler version" >&5
    63296330ac_compiler=`set X $ac_compile; echo $2`
     
    73927393   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73937394   -e 's:$: $lt_compiler_flag:'`
    7394    (eval echo "\"\$as_me:7394: $lt_compile\"" >&5)
     7395   (eval echo "\"\$as_me:7395: $lt_compile\"" >&5)
    73957396   (eval "$lt_compile" 2>conftest.err)
    73967397   ac_status=$?
    73977398   cat conftest.err >&5
    7398    echo "$as_me:7398: \$? = $ac_status" >&5
     7399   echo "$as_me:7399: \$? = $ac_status" >&5
    73997400   if (exit $ac_status) && test -s "$ac_outfile"; then
    74007401     # The compiler can only warn and ignore the option if not recognized
     
    76607661   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76617662   -e 's:$: $lt_compiler_flag:'`
    7662    (eval echo "\"\$as_me:7662: $lt_compile\"" >&5)
     7663   (eval echo "\"\$as_me:7663: $lt_compile\"" >&5)
    76637664   (eval "$lt_compile" 2>conftest.err)
    76647665   ac_status=$?
    76657666   cat conftest.err >&5
    7666    echo "$as_me:7666: \$? = $ac_status" >&5
     7667   echo "$as_me:7667: \$? = $ac_status" >&5
    76677668   if (exit $ac_status) && test -s "$ac_outfile"; then
    76687669     # The compiler can only warn and ignore the option if not recognized
     
    77647765   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77657766   -e 's:$: $lt_compiler_flag:'`
    7766    (eval echo "\"\$as_me:7766: $lt_compile\"" >&5)
     7767   (eval echo "\"\$as_me:7767: $lt_compile\"" >&5)
    77677768   (eval "$lt_compile" 2>out/conftest.err)
    77687769   ac_status=$?
    77697770   cat out/conftest.err >&5
    7770    echo "$as_me:7770: \$? = $ac_status" >&5
     7771   echo "$as_me:7771: \$? = $ac_status" >&5
    77717772   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77727773   then
     
    1010910110  lt_status=$lt_dlunknown
    1011010111  cat > conftest.$ac_ext <<EOF
    10111 #line 10111 "configure"
     10112#line 10112 "configure"
    1011210113#include "confdefs.h"
    1011310114
     
    1020910210  lt_status=$lt_dlunknown
    1021010211  cat > conftest.$ac_ext <<EOF
    10211 #line 10211 "configure"
     10212#line 10212 "configure"
    1021210213#include "confdefs.h"
    1021310214
     
    1255312554   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255412555   -e 's:$: $lt_compiler_flag:'`
    12555    (eval echo "\"\$as_me:12555: $lt_compile\"" >&5)
     12556   (eval echo "\"\$as_me:12556: $lt_compile\"" >&5)
    1255612557   (eval "$lt_compile" 2>conftest.err)
    1255712558   ac_status=$?
    1255812559   cat conftest.err >&5
    12559    echo "$as_me:12559: \$? = $ac_status" >&5
     12560   echo "$as_me:12560: \$? = $ac_status" >&5
    1256012561   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256112562     # The compiler can only warn and ignore the option if not recognized
     
    1265712658   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1265812659   -e 's:$: $lt_compiler_flag:'`
    12659    (eval echo "\"\$as_me:12659: $lt_compile\"" >&5)
     12660   (eval echo "\"\$as_me:12660: $lt_compile\"" >&5)
    1266012661   (eval "$lt_compile" 2>out/conftest.err)
    1266112662   ac_status=$?
    1266212663   cat out/conftest.err >&5
    12663    echo "$as_me:12663: \$? = $ac_status" >&5
     12664   echo "$as_me:12664: \$? = $ac_status" >&5
    1266412665   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266512666   then
     
    1422714228   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1422814229   -e 's:$: $lt_compiler_flag:'`
    14229    (eval echo "\"\$as_me:14229: $lt_compile\"" >&5)
     14230   (eval echo "\"\$as_me:14230: $lt_compile\"" >&5)
    1423014231   (eval "$lt_compile" 2>conftest.err)
    1423114232   ac_status=$?
    1423214233   cat conftest.err >&5
    14233    echo "$as_me:14233: \$? = $ac_status" >&5
     14234   echo "$as_me:14234: \$? = $ac_status" >&5
    1423414235   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423514236     # The compiler can only warn and ignore the option if not recognized
     
    1433114332   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433214333   -e 's:$: $lt_compiler_flag:'`
    14333    (eval echo "\"\$as_me:14333: $lt_compile\"" >&5)
     14334   (eval echo "\"\$as_me:14334: $lt_compile\"" >&5)
    1433414335   (eval "$lt_compile" 2>out/conftest.err)
    1433514336   ac_status=$?
    1433614337   cat out/conftest.err >&5
    14337    echo "$as_me:14337: \$? = $ac_status" >&5
     14338   echo "$as_me:14338: \$? = $ac_status" >&5
    1433814339   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1433914340   then
     
    1653816539   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1653916540   -e 's:$: $lt_compiler_flag:'`
    16540    (eval echo "\"\$as_me:16540: $lt_compile\"" >&5)
     16541   (eval echo "\"\$as_me:16541: $lt_compile\"" >&5)
    1654116542   (eval "$lt_compile" 2>conftest.err)
    1654216543   ac_status=$?
    1654316544   cat conftest.err >&5
    16544    echo "$as_me:16544: \$? = $ac_status" >&5
     16545   echo "$as_me:16545: \$? = $ac_status" >&5
    1654516546   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654616547     # The compiler can only warn and ignore the option if not recognized
     
    1680616807   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680716808   -e 's:$: $lt_compiler_flag:'`
    16808    (eval echo "\"\$as_me:16808: $lt_compile\"" >&5)
     16809   (eval echo "\"\$as_me:16809: $lt_compile\"" >&5)
    1680916810   (eval "$lt_compile" 2>conftest.err)
    1681016811   ac_status=$?
    1681116812   cat conftest.err >&5
    16812    echo "$as_me:16812: \$? = $ac_status" >&5
     16813   echo "$as_me:16813: \$? = $ac_status" >&5
    1681316814   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681416815     # The compiler can only warn and ignore the option if not recognized
     
    1691016911   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691116912   -e 's:$: $lt_compiler_flag:'`
    16912    (eval echo "\"\$as_me:16912: $lt_compile\"" >&5)
     16913   (eval echo "\"\$as_me:16913: $lt_compile\"" >&5)
    1691316914   (eval "$lt_compile" 2>out/conftest.err)
    1691416915   ac_status=$?
    1691516916   cat out/conftest.err >&5
    16916    echo "$as_me:16916: \$? = $ac_status" >&5
     16917   echo "$as_me:16917: \$? = $ac_status" >&5
    1691716918   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691816919   then
     
    1981319814
    1981419815# ## Check if Metis is already provided by user
    19815 # AC_COIN_HAS_METIS
    19816 
    19817 #rm -f $MAKEOKFILE
    19818 #if test $coin_has_metis = yes && test "$use_metis" != BUILD; then
    19819 #  AC_MSG_NOTICE([The Metis sources don't need to be compiled])
    19820 #  MAKEOKFILE=
    19821 #else
    19822 #  touch $MAKEOKFILE
    19823 #fi
    19824 #AC_SUBST(MAKEOKFILE)
    19825 #AM_CONDITIONAL(SKIPMAKE, test -z "$MAKEOKFILE")
     19816
     19817case "$PACKAGE_NAME" in
     19818  ThirdParty*)
     19819    coin_metisobjdir=../Metis
     19820    ;;
     19821  *)
     19822    coin_metisobjdir=../ThirdParty/Metis
     19823    ;;
     19824esac
     19825
     19826MAKEOKFILE=.MakeOk
     19827
     19828#check if user provides a METIS library (that works)
     19829ac_ext=c
     19830ac_cpp='$CPP $CPPFLAGS'
     19831ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     19832ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     19833ac_compiler_gnu=$ac_cv_c_compiler_gnu
     19834
     19835
     19836# Check whether --with-metis or --without-metis was given.
     19837if test "${with_metis+set}" = set; then
     19838  withval="$with_metis"
     19839  METISLIB="$withval"; coin_has_metis=true
     19840else
     19841  coin_has_metis=no
     19842fi;
     19843
     19844if test $coin_has_metis = true; then
     19845  coin_save_LIBS="$LIBS"
     19846  LIBS="$METISLIB $ADDLIBS"
     19847  echo "$as_me:$LINENO: checking whether symbol metis_nodend is available with " >&5
     19848echo $ECHO_N "checking whether symbol metis_nodend is available with ... $ECHO_C" >&6
     19849  cat >conftest.$ac_ext <<_ACEOF
     19850/* confdefs.h.  */
     19851_ACEOF
     19852cat confdefs.h >>conftest.$ac_ext
     19853cat >>conftest.$ac_ext <<_ACEOF
     19854/* end confdefs.h.  */
     19855
     19856int
     19857main ()
     19858{
     19859metis_nodend()
     19860  ;
     19861  return 0;
     19862}
     19863_ACEOF
     19864rm -f conftest.$ac_objext conftest$ac_exeext
     19865if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19866  (eval $ac_link) 2>conftest.er1
     19867  ac_status=$?
     19868  grep -v '^ *+' conftest.er1 >conftest.err
     19869  rm -f conftest.er1
     19870  cat conftest.err >&5
     19871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19872  (exit $ac_status); } &&
     19873         { ac_try='test -z "$ac_c_werror_flag"
     19874                         || test ! -s conftest.err'
     19875  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19876  (eval $ac_try) 2>&5
     19877  ac_status=$?
     19878  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19879  (exit $ac_status); }; } &&
     19880         { ac_try='test -s conftest$ac_exeext'
     19881  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19882  (eval $ac_try) 2>&5
     19883  ac_status=$?
     19884  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19885  (exit $ac_status); }; }; then
     19886  echo "$as_me:$LINENO: result: yes" >&5
     19887echo "${ECHO_T}yes" >&6
     19888else
     19889  echo "$as_me: failed program was:" >&5
     19890sed 's/^/| /' conftest.$ac_ext >&5
     19891
     19892echo "$as_me:$LINENO: result: no" >&5
     19893echo "${ECHO_T}no" >&6
     19894      { { echo "$as_me:$LINENO: error: User-supplied METIS library does not work" >&5
     19895echo "$as_me: error: User-supplied METIS library does not work" >&2;}
     19896   { (exit 1); exit 1; }; }
     19897fi
     19898rm -f conftest.err conftest.$ac_objext \
     19899      conftest$ac_exeext conftest.$ac_ext
     19900  LIBS="$coin_save_LIBS"
     19901fi
     19902ac_ext=c
     19903ac_cpp='$CPP $CPPFLAGS'
     19904ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     19905ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     19906ac_compiler_gnu=$ac_cv_c_compiler_gnu
     19907
     19908
     19909if test "$coin_has_metis" = "true"; then  # user provided metis library
     19910  use_metis=yes
     19911  coin_has_metis=yes
     19912
     19913  ADDLIBS="$METISLIB $ADDLIBS"
     19914
     19915else # no user provided library, so we try to build our own
     19916  use_metis=BUILD
     19917
     19918  # Check if the METIS' ThirdParty project has been configured
     19919  if test "$PACKAGE_NAME" != ThirdPartyMetis; then
     19920    if test -r $coin_metisobjdir/.MakeOk; then
     19921      use_metis=BUILD
     19922    else
     19923      use_metis=
     19924    fi
     19925  fi
     19926
     19927  if test x"$use_metis" != x; then
     19928    coin_has_metis=yes
     19929  else
     19930    coin_has_metis=no
     19931  fi
     19932  echo "$as_me:$LINENO: checking whether METIS is available" >&5
     19933echo $ECHO_N "checking whether METIS is available... $ECHO_C" >&6
     19934  echo "$as_me:$LINENO: result: $coin_has_metis" >&5
     19935echo "${ECHO_T}$coin_has_metis" >&6
     19936fi
     19937
     19938
     19939
     19940if test $coin_has_metis = yes; then
     19941  COIN_HAS_METIS_TRUE=
     19942  COIN_HAS_METIS_FALSE='#'
     19943else
     19944  COIN_HAS_METIS_TRUE='#'
     19945  COIN_HAS_METIS_FALSE=
     19946fi
     19947
     19948if test $coin_has_metis = yes; then
     19949
     19950cat >>confdefs.h <<\_ACEOF
     19951#define COIN_HAS_METIS 1
     19952_ACEOF
     19953
     19954fi
     19955
     19956
     19957
     19958rm -f $MAKEOKFILE
     19959if test $coin_has_metis = yes && test "$use_metis" != BUILD; then
     19960  { echo "$as_me:$LINENO: The Metis sources don't need to be compiled" >&5
     19961echo "$as_me: The Metis sources don't need to be compiled" >&6;}
     19962  MAKEOKFILE=
     19963else
     19964  touch $MAKEOKFILE
     19965fi
     19966
     19967
     19968
     19969if test -z "$MAKEOKFILE"; then
     19970  SKIPMAKE_TRUE=
     19971  SKIPMAKE_FALSE='#'
     19972else
     19973  SKIPMAKE_TRUE='#'
     19974  SKIPMAKE_FALSE=
     19975fi
     19976
    1982619977
    1982719978# We need to create a dummy header file for Windows
     
    1993620087
    1993720088
     20089
    1993820090METISDIR=metis-4.0
    1993920091
    1994020092
    19941                     ac_config_files="$ac_config_files Makefile metis_addlibs.txt"
     20093          ac_config_files="$ac_config_files Makefile"
    1994220094
    1994320095
     
    2016020312Usually this means the macro was only invoked conditionally." >&5
    2016120313echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     20314Usually this means the macro was only invoked conditionally." >&2;}
     20315   { (exit 1); exit 1; }; }
     20316fi
     20317if test -z "${COIN_HAS_METIS_TRUE}" && test -z "${COIN_HAS_METIS_FALSE}"; then
     20318  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_METIS\" was never defined.
     20319Usually this means the macro was only invoked conditionally." >&5
     20320echo "$as_me: error: conditional \"COIN_HAS_METIS\" was never defined.
     20321Usually this means the macro was only invoked conditionally." >&2;}
     20322   { (exit 1); exit 1; }; }
     20323fi
     20324if test -z "${SKIPMAKE_TRUE}" && test -z "${SKIPMAKE_FALSE}"; then
     20325  { { echo "$as_me:$LINENO: error: conditional \"SKIPMAKE\" was never defined.
     20326Usually this means the macro was only invoked conditionally." >&5
     20327echo "$as_me: error: conditional \"SKIPMAKE\" was never defined.
    2016220328Usually this means the macro was only invoked conditionally." >&2;}
    2016320329   { (exit 1); exit 1; }; }
     
    2060320769  # Handling of arguments.
    2060420770  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    20605   "metis_addlibs.txt" ) CONFIG_FILES="$CONFIG_FILES metis_addlibs.txt" ;;
    2060620771  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    2060720772  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
     
    2078320948s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2078420949s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     20950s,@COIN_HAS_METIS_TRUE@,$COIN_HAS_METIS_TRUE,;t t
     20951s,@COIN_HAS_METIS_FALSE@,$COIN_HAS_METIS_FALSE,;t t
     20952s,@MAKEOKFILE@,$MAKEOKFILE,;t t
     20953s,@SKIPMAKE_TRUE@,$SKIPMAKE_TRUE,;t t
     20954s,@SKIPMAKE_FALSE@,$SKIPMAKE_FALSE,;t t
    2078520955s,@METISDIR@,$METISDIR,;t t
    2078620956s,@LIBEXT@,$LIBEXT,;t t
Note: See TracChangeset for help on using the changeset viewer.